<template>
  <div class="mt-form-fields-grade">
    <div class="mt-fields-section">
      <b-field label="Code ">
        <b-input v-model="grade.code" placeholder="Ex: brigade" required />
      </b-field>
      <b-field label="Libellé ">
        <b-input v-model="grade.libelle" placeholder="Ex: Brigade" required />
      </b-field>
      <b-field label="Ordre ">
        <b-input v-model="grade.ordre" placeholder="Ex: 10" type="number" required />
      </b-field>
      <b-field label="Corps ">
        <b-select v-model="grade.corps.id" placeholder="Sélectionner un corps" required>
          <option v-for="corp in corps" :key="corp.id" :value="corp.id">
            {{ corp.libelle }}
          </option>
        </b-select>
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    grade: {
      type: Object,
      default: () => ({}),
    },
    corps: {
      type: Array,
      default: () => [],
    },
  },
};
</script>

<style scoped lang="scss">
h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}
.mt-fields-section {
  margin-bottom: 1.25rem;
}
.mt-fake-field {
  margin-bottom: 0;
}
.mt-type {
  .control:not(:last-child) {
    margin-right: 1rem;
  }
}
</style>
